Bug 444021 - Buffer overflow on CPU benchmark
Buffer overflow on CPU benchmark
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: boinc-client (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Milos Jakubicek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-24 12:24 EDT by Kyrre Ness Sjøbæk
Modified: 2008-04-26 07:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-26 07:34:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Text copied from the terminal (backtrace) (9.92 KB, text/plain)
2008-04-24 12:24 EDT, Kyrre Ness Sjøbæk
no flags Details

  None (edit)
Description Kyrre Ness Sjøbæk 2008-04-24 12:24:22 EDT
Description of problem:
Startet boinc-client, selected LHC@home. Everything worked nice. After setting
everything up (with boincmgr), the program crashed with the attached messages.

Version-Release number of selected component (if applicable):

boinc-client-5.10.45-4.20080315svn.fc8
boinc-manager-5.10.45-8.20080315svn.fc8
boinc-client-5.10.45-8.20080315svn.fc8

How reproducible:
Every time

Steps to Reproduce:
1.start boinc_client
2.Boom
  
Actual results:


Expected results:


Additional info:
Comment 1 Kyrre Ness Sjøbæk 2008-04-24 12:24:22 EDT
Created attachment 303658 [details]
Text copied from the terminal (backtrace)
Comment 2 Milos Jakubicek 2008-04-24 13:41:05 EDT
This should be probably filed upstream into http://boinc.berkeley.edu/trac/
If you do not want to do it, I will, just tell me. Anyway, please try to produce
the core file, type:

ulimit -c unlimited
boinc_client --run_cpu_benchmarks

A core file should be produced (core.XXXXX), you should attach it to the ticket
into Boinc trac or here.

Did you use Boinc previously from the universal linux binary installer available
at Boinc homepage? (If so, did it work?)

Would you mind trying recompiling boinc on your computer and test it then? I'd
send you detailed instructions, if you don't know how to.
Comment 3 Kyrre Ness Sjøbæk 2008-04-25 12:10:37 EDT
No, it didn't produce a corefile, but it creates a lot of other files... (xml
files and a lockfile + leaves to prosesses (i have hyper-threading, so to the OS
its 2 CPU's))

Switching to another, empty folder made the cpu benchmark run fine (and lost my
configuration). Setting it up with LHC@home now seems to work?!?
Comment 4 Milos Jakubicek 2008-04-25 16:00:00 EDT
(In reply to comment #3)
> No, it didn't produce a corefile, but it creates a lot of other files... (xml
> files and a lockfile + leaves to prosesses (i have hyper-threading, so to the OS
> its 2 CPU's))
>
> Switching to another, empty folder made the cpu benchmark run fine (and lost my
> configuration). Setting it up with LHC@home now seems to work?!?

Hm, I guess I know now where is the problem: In your report I see "start
boinc_client". Does it mean you just typed "boinc_client" in shell in current
directory? Because then boinc assumes the current directory to be the working
directory and the benchmarks might have failed e.g. because of insufficient
permissions in the current directory. 

You should always run boinc daemon using "service boinc-client start" (and/or
setup it to run in system-config-service or using chkconfig, if you wish it to
run after each computer startup). This ensures that boinc is running with
working directory set to /var/lib/boinc.

(I'm also assuming you first installed boinc-client-5.10.45-4.20080315svn.fc8
and then updated to boinc-client-5.10.45-8.20080315svn.fc8, am I right?)
Comment 5 Kyrre Ness Sjøbæk 2008-04-25 19:00:39 EDT
(In reply to comment #4)
> (In reply to comment #3)
> > No, it didn't produce a corefile, but it creates a lot of other files... (xml
> > files and a lockfile + leaves to prosesses (i have hyper-threading, so to the OS
> > its 2 CPU's))
> >
> > Switching to another, empty folder made the cpu benchmark run fine (and lost my
> > configuration). Setting it up with LHC@home now seems to work?!?
> 
> Hm, I guess I know now where is the problem: In your report I see "start
> boinc_client". Does it mean you just typed "boinc_client" in shell in current
> directory?

Yes, I did!

> Because then boinc assumes the current directory to be the working
> directory and the benchmarks might have failed e.g. because of insufficient
> permissions in the current directory. 
> 
> You should always run boinc daemon using "service boinc-client start" (and/or
> setup it to run in system-config-service or using chkconfig, if you wish it to
> run after each computer startup). This ensures that boinc is running with
> working directory set to /var/lib/boinc.
> 
> (I'm also assuming you first installed boinc-client-5.10.45-4.20080315svn.fc8
> and then updated to boinc-client-5.10.45-8.20080315svn.fc8, am I right?)

Probably - I installed it a while ago (never got it to work), and then I tried
again after I saw and installed the patch in yum.
Comment 6 Milos Jakubicek 2008-04-26 06:04:42 EDT
...just to be sure the problem is solved: does running Boinc in the proper way
("service boinc-client start") work for you now? You should see "Starting BOINC
client as a daemon:  [  OK  ]" and you should be able to connect via Boinc
manager, choose project etc.
Comment 7 Kyrre Ness Sjøbæk 2008-04-26 06:53:58 EDT
It might be just me doing something stupid, but this doesn't work (no crashes,
tough...):

[root@storeulv ~]# service boinc-client start
The BOINC client requires initialization.                  [ADVARSEL]
Starting BOINC client as a daemon:                         [  OK  ]

(ADVARSEL is norwegian for WARNING)
Boincmgr doesn't work:

Authorization failed connecting to running client.
Make sure you start this program in the same directory as the client.
Comment 8 Milos Jakubicek 2008-04-26 07:34:15 EDT
OK, that's correct behavior: 

1) The WARNING is displayed because boinc is not attached to any project.

2) To connect via boinc manager, type "localhost" as host name and password
which is stored in /var/lib/boinc/gui_rpc_auth.cfg. (Hint: if you do NOT want to
use any password, paste _only_ a newline into this file.)

Closing as NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.